> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate a Banking Alias

<Warning>
  **Deprecated – Decommissioning planned Q3 2026**

  Mangopay plans to decommission the Banking Alias endpoints in Q3 2026.

  Platforms using them should plan to re-integrate using the [Virtual Account](/api-reference/virtual-accounts/virtual-account-object) endpoints.

  Existing Banking Alias objects are available via the [GET View a Virtual Account](/api-reference/virtual-accounts/view-virtual-account) endpoint by using the Banking Alias `Id` and `WalletId` as path parameters.
</Warning>

<Warning>
  **Caution – Deactivating a Banking Alias is irreversible**

  Once the Banking Alias object is deactivated, you cannot reactivate it or attach another to the same wallet.

  Any funds wired to the banking alias won’t be credited to the corresponding wallet.

  If such cases arise, contact Mangopay <a href="https://hub.mangopay.com/" target="_blank">via the Dashboard</a>.
</Warning>

### Path parameters

<ParamField path="BankingAliasId" type="string" required>
  The unique identifier of the banking alias.
</ParamField>

### Body parameters

<ParamField body="Active" type="boolean" required>
  Whether or not the banking alias is active.

  **Caution:** Setting this value to `false` is irreversible.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200">
    <ResponseField name="OwnerName" type="string">
      Max. length: 255 characters

      The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)).

      If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`.

      If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`.

      **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response.
    </ResponseField>

    <ResponseField name="IBAN" type="string">
      The IBAN (international bank account number) of the banking alias.
    </ResponseField>

    <ResponseField name="BIC" type="string">
      The BIC (international identifier of the bank) for the banking alias.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.\
      Note: Once the banking alias is created, it is not possible to change the `CreditedUserId`.
    </ResponseField>

    <ResponseField name="Country" type="string">
      **Returned values:** DE, DK, ES, FR, GB, LU, PL

      The country of the banking alias. The country must correspond to the currency of the wallet.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="Active" type="boolean">
      Whether or not the banking alias is active.

      **Caution:** Setting this value to `false` is irreversible.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `IBAN`, `GB`

      The type of banking alias.

      The `GB` value is only returned if the `Country` is `GB`.
    </ResponseField>

    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="WalletId" type="string">
      The unique identifier of the wallet.
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 theme={null}
  {
      "OwnerName": "John Doe.",
      "IBAN": "FR617452110000GJX2HRBQPLS41",
      "BIC": "MPAYFRP1PIN",
      "CreditedUserId": "145397183",
      "Country": "FR",
      "Tag": "ibanized",
      "CreationDate": 1670342493,
      "Active": false,
      "Type": "IBAN",
      "Id": "157688274",
      "WalletId": "157688124"
  }  
  ```
</ResponseExample>

<RequestExample>
  ```json REST   theme={null}
  {
      "Active": false,
  }
    
  ```

  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $bankingAliasId = '199314046';

      $bankingAliasIBAN = $api->BankingAliases->Get($bankingAliasId);
      $bankingAliasIBAN->Active = false;
      
      $response = $api->BankingAliases->Update($bankingAliasIBAN);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  let myBankingAlias = {
    Id: '169741679',
  }

  const deactivateBankingAlias = async (bankingAliasId) => {
    return await mangopay.BankingAliases.deactivate(bankingAliasId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  deactivateBankingAlias(myBankingAlias.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def deactivateBankingAlias(bankingAliasId)
      begin
          response = MangoPay::BankingAliases.update(bankingAliasId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to deactivate banking alias: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myBankingAlias = {
      Id: '194349049',
      Active: false
  }

  deactivateBankingAlias(myBankingAlias[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.BankingAlias;

  public class DeactivateIbanBankingAlias {
         public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          BankingAlias bankingAlias = mangopay.getBankingAliases().get("wltbank_m_01HTHTXVG59ATHA89ZHG2CKADA");

          bankingAlias.Active =  false;

          BankingAlias deactivateIbanBankingAlias = mangopay.getBankingAliases().deactivate(bankingAlias.getId(), bankingAlias);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(deactivateIbanBankingAlias);

          System.out.println(prettyJson);
      }
  }
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities.PUT;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var bankingAliasId = "wltbank_m_01J3CZJSQW4V3BGHGTNM34EA1P";

          var bankingAliasPut = new BankingAliasPutDTO
          {
              Active = false
          };

          var deactivateBankingAlias = await api.BankingAlias.UpdateAsync(bankingAliasPut, bankingAliasId);

          string prettyPrint = JsonConvert.SerializeObject(deactivateBankingAlias, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
